import * as React from 'react';
import { ReactNode } from 'react';
import * as ToolbarPrimitive from '@radix-ui/react-toolbar';
import { VariantProps } from 'class-variance-authority';
import { ToggleProps, toggleVariants } from './toggle';
export declare const linkVariants: (props?: import("class-variance-authority/dist/types").ClassProp | undefined) => string;
declare const ToolbarToggleGroup: React.ForwardRefExoticComponent<(ToolbarPrimitive.ToolbarToggleGroupSingleProps | ToolbarPrimitive.ToolbarToggleGroupMultipleProps) & React.RefAttributes<HTMLDivElement>>;
export interface ToolbarProps extends React.ComponentPropsWithoutRef<typeof Toolbar> {
}
declare const Toolbar: React.ForwardRefExoticComponent<Omit<ToolbarPrimitive.ToolbarProps & React.RefAttributes<HTMLDivElement>, "ref"> & VariantProps<(props?: import("class-variance-authority/dist/types").ClassProp | undefined) => string> & React.RefAttributes<HTMLDivElement>>;
declare const ToolbarLink: React.ForwardRefExoticComponent<Omit<ToolbarPrimitive.ToolbarLinkProps & React.RefAttributes<HTMLAnchorElement>, "ref"> & VariantProps<(props?: import("class-variance-authority/dist/types").ClassProp | undefined) => string> & React.RefAttributes<HTMLAnchorElement>>;
declare const ToolbarSeparator: React.ForwardRefExoticComponent<Omit<ToolbarPrimitive.ToolbarSeparatorProps & React.RefAttributes<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
export interface ToolbarButtonProps extends React.ComponentPropsWithoutRef<typeof ToolbarPrimitive.Button>, VariantProps<typeof toggleVariants>, Omit<ToggleProps, 'type'> {
    buttonType?: 'button' | 'toggle';
    pressed?: boolean;
    tooltip?: ReactNode;
    isDropdown?: boolean;
}
declare const ToolbarButton: React.ForwardRefExoticComponent<ToolbarButtonProps & React.RefAttributes<HTMLButtonElement>>;
declare const ToolbarToggleItem: React.ForwardRefExoticComponent<Omit<ToolbarPrimitive.ToolbarToggleItemProps & React.RefAttributes<HTMLButtonElement>, "ref"> & VariantProps<(props?: ({
    variant?: "default" | "outline" | "floating" | null | undefined;
    size?: "default" | "sm" | "lg" | "circle" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string> & React.RefAttributes<HTMLButtonElement>>;
declare const ToolbarGroup: React.ForwardRefExoticComponent<React.HTMLAttributes<HTMLDivElement> & {
    noSeparator?: boolean | undefined;
} & React.RefAttributes<HTMLDivElement>>;
export { Toolbar, ToolbarLink, ToolbarToggleGroup, ToolbarSeparator, ToolbarToggleItem, ToolbarButton, ToolbarGroup, };
